// i = 2 -> n
// neu a % i == 0
// temp = i
//a = a / i
// else i++;
#include <bits/stdc++.h>
using namespace std;
int uocNguyenTo (int a)
{
	int i=2;
	while (a!=1)
	{
		if (a%i==0)
		{
			a=a/i;
		}
		else
		{
			i++;
		}
	}
	return i;
}
int main()
{
	ifstream f1("BAI1_16.INP");
	ofstream f2("BAI1_16.OUT");
	int n;
	f1>>n;
	int uoc = uocNguyenTo(n);
	f2<<uoc;
	f1.close();
	f2.close();
}
